import Balloon from '..';
import Button from '../../button';
import DatePicker from '../../date-picker';
import React from 'react';
import ReactDOM from 'react-dom';
import Select from '../../select';
import moment from 'moment';
const showSelect = React.createElement(Button, { className: "btrigger" }, "Show Select");
const showDatePicker = React.createElement(Button, { className: "btrigger" }, "Show DatePicker");
const innerButton = React.createElement(Button, { className: "btrigger" }, "Show Inner Balloon");
const dateValue = moment('2018-01-01', 'YYYY-MM-DD', true);
const App = () => (React.createElement("div", null,
    React.createElement(Balloon, { autoFocus: true, trigger: showSelect, closable: false, triggerType: "click" },
        React.createElement(Select, { dataSource: ['apple', 'banana', 'orange'], followTrigger: true })),
    React.createElement("span", { style: { marginRight: 20 } }),
    React.createElement(Balloon, { autoFocus: true, trigger: showDatePicker, closable: false, triggerType: "click" },
        React.createElement(DatePicker, { defaultValue: dateValue, 
            // @ts-ignore
            followTrigger: true })),
    React.createElement("span", { style: { marginRight: 20 } }),
    React.createElement(Balloon, { autoFocus: true, trigger: innerButton, closable: false, triggerType: "click" },
        React.createElement(Balloon, { trigger: React.createElement(Button, { type: "primary" }, "please click"), followTrigger: true, triggerType: "click" }, "hello world hello world hello world hello world"))));
ReactDOM.render(React.createElement(App, null), document.getElementById('balloon-demo-10'));
